Bug 1358024 - non-contiguous rgw_write/NFS WRITE operations no blocked
Summary: non-contiguous rgw_write/NFS WRITE operations no blocked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: All
OS: All
medium
low
Target Milestone: rc
: 2.1
Assignee: Matt Benjamin (redhat)
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On: 1357932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 20:30 UTC by Matt Benjamin (redhat)
Modified: 2017-07-30 16:03 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-10.2.2-24.el7cp Ubuntu: ceph_10.2.2-19redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:28:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Matt Benjamin (redhat) 2016-07-19 20:30:41 UTC
Description of problem:
The tech-preview RGW NFS is only expected to work with sync mounts (Linux -osync), but by inspection, this is not enforced

The server does not know or care about client mount options, but rgw_write should fail immediately if it sees partial or out-of-order write attempts on an open file.

Steps to Reproduce:
1. N/A

Comment 8 shylesh 2016-07-26 17:37:55 UTC
@Matt,

According to comment2 this bug is not for 2.0 but it has been put ON_QA. Do we have to verify this. If so could you please give me the steps to verify.

Thanks,
Shylesh

Comment 13 Ramakrishnan Periyasamy 2016-11-02 17:21:39 UTC
Hi Matt,

Please provide steps to verify this bug.

Regards,
Ramakrishnan

Comment 14 Matt Benjamin (redhat) 2016-11-02 17:34:40 UTC
(In reply to Ramakrishnan Periyasamy from comment #13)
> Hi Matt,
> 
> Please provide steps to verify this bug.
> 
> Regards,
> Ramakrishnan

Hi Ramakrishnan,

I think it is sufficient to verify only the ability to write objects of at least 1M in size, when the negotiated nfs wsize is 1M.

Comment 15 Ramakrishnan Periyasamy 2016-11-02 18:17:46 UTC
Tried writing objects of size 1M and more than 1M wsize.
moving this bug to verified state.

Comment 17 errata-xmlrpc 2016-11-22 19:28:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.